{ config, ... }: {
  # automatically configure monitor layout depending on connected devices
  # https://git.sr.ht/~emersion/kanshi
  services.kanshi = {
    enable = config.wayland.windowManager.sway.enable;
    settings = [
      {
        profile = {
          name = "home";
          outputs = [
            {
              criteria = "eDP-1";
              position = "0,0";
            }
            {
              criteria = "HDMI-A-1";
              position = "1920,0";
            }
          ];
        };
      }
      {
        profile = {
          name = "mobile";
          outputs = [
            {
              criteria = "eDP-1";
            }
          ];
        };
      }
    ];
  };
}
